JspServlet (Jasper Internal API Documentation)
Keywords: org.apache.jasper.servlet.JspServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.servlet
Class JspServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.jasper.servlet.JspServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class JspServlet
extends javax.servlet.http.HttpServlet

The JSP engine (a.k.a Jasper). The servlet container is responsible for providing a URLClassLoader for the web application context Jasper is being used in. Jasper will try get the Tomcat ServletContext attribute for its ServletContext class loader, if that fails, it uses the parent class loader. In either case, it must be a URLClassLoader.

Author:
  Anil K. Vijendran, Harish Prabandham, Remy Maucherat, Kin-man Chung, Glenn Nielsen
See Also:
  Serialized Form

Constructor Summary
`JspServlet()`

Method Summary
`void` | `destroy()`
`int` | `getJspCount()` Returns the number of JSPs for which JspServletWrappers exist, i.e., the number of JSPs that have been loaded into the webapp with which this JspServlet is associated.
`int` | `getJspReloadCount()` Gets the number of JSPs that have been reloaded.
`void` | `init(javax.servlet.ServletConfig config)`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setJspReloadCount(int count)` Resets the JSP reload counter.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspServlet

    public JspServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getJspCount

    public int getJspCount()

  Returns the number of JSPs for which JspServletWrappers exist, i.e., the number of JSPs that have been loaded into the webapp with which this JspServlet is associated.

  This info may be used for monitoring purposes.

  Returns:
    The number of JSPs that have been loaded into the webapp with which this JspServlet is associated

### setJspReloadCount

    public void setJspReloadCount(int count)

  Resets the JSP reload counter.

  Parameters:
    `count` - Value to which to reset the JSP reload counter

### getJspReloadCount

    public int getJspReloadCount()

  Gets the number of JSPs that have been reloaded.

  This info may be used for monitoring purposes.

  Returns:
    The number of JSPs (in the webapp with which this JspServlet is associated) that have been reloaded

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### destroy

    public void destroy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.